Get Uptime Stats
GET /api/websites/:websitePublicId/uptime-stats
Get Uptime Stats
GET /api/websites/:websitePublicId/uptime-stats
Returns uptime percentages and average response times for the last day, month and year.
Path Parameters
websitePublicId(recommended): website public UUID- Backward compatibility: legacy numeric website IDs are still accepted
Example (cURL)
BASE_URL="https://uptimeify.io"
TOKEN="<your-api-token>"
curl -X GET "$BASE_URL/api/websites/9a3d4d4d-7a4b-4f37-a9df-2a6f6d9d7a10/uptime-stats" \
-H "Authorization: Bearer $TOKEN" \
-H "Accept: application/json"
Example Response
{
"day": "100.00",
"month": "99.95",
"year": "99.90",
"dayAvgResponse": 125,
"monthAvgResponse": 118,
"yearAvgResponse": 120
}
Common Errors
400 Invalid Website identifierif:websitePublicIdis neither a valid UUID nor a legacy numeric ID401 Unauthorizedif you are not authenticated403 Forbiddenif you do not have access to the website